For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update a device posture check policy

put
Authorizations
defguard_sessionstringRequired
Path parameters
idinteger · int64Required

ID of the device posture check policy.

Body

Request body for creating or updating a device posture check policy.

allow_prerelease_clientbooleanRequired
descriptionstring · nullableOptional
min_desktop_client_versionstring · nullableOptional
min_mobile_client_versionstring · nullableOptional
namestringRequired
Responses
200

Device posture check policy updated.

application/json

API response type for a device posture check policy.

allow_prerelease_clientbooleanRequired
descriptionstring · nullableOptional
idinteger · int64Required
locationsinteger · int64[]Required

IDs of VPN locations this policy is assigned to.

min_desktop_client_versionstring · nullableOptional
min_mobile_client_versionstring · nullableOptional
namestringRequired
put/api/v1/device-posture/{id}
PUT /api/v1/device-posture/{id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 319

{
  "allow_prerelease_client": true,
  "description": null,
  "min_desktop_client_version": null,
  "min_mobile_client_version": null,
  "name": "text",
  "os_rules": [
    {
      "ad_domain_joined_required": null,
      "antivirus_required": null,
      "disk_encryption_required": null,
      "min_os_version": null,
      "os_type": "windows",
      "windows_security_update_max_age": null
    }
  ]
}
{
  "allow_prerelease_client": true,
  "description": null,
  "id": 1,
  "locations": [
    1
  ],
  "min_desktop_client_version": null,
  "min_mobile_client_version": null,
  "name": "text",
  "os_rules": [
    {
      "ad_domain_joined_required": null,
      "antivirus_required": null,
      "disk_encryption_required": null,
      "min_os_version": null,
      "os_type": "windows",
      "windows_security_update_max_age": null
    }
  ]
}

Last updated

Was this helpful?